import random
import tkinter as tk

window = tk.Tk()
window.geometry("400x300")
window.title("Random Password Generator")

#--------FUNCTIONS---------
def phrase_generator():

    phrases = ["Hello ", "Hafa Adai ", "What's up "]

    # This turns the characters string into a list
    name = str(numOfchar_input.get())

    return phrases[random.randint(0, 3)] + name

def phrase_display():
    password1 = phrase_generator()

    # This creates a text field.
    text_answer = tk.Text(master=window, height=10, width=30)
    text_answer.grid(column=0, row=3)

    #This prints out the password into the text field.
    text_answer.insert(tk.END, password1)

#--------BUTTONS----------
click_me_button = tk.Button(text="Click me!", command=phrase_display)
click_me_button.grid(column= 0,row= 2)

#--------LABELS-----------
title_prompt = tk.Label(text="""Welcome to My App!""")
title_prompt.grid(column= 0,row= 0)

character_input_prompt = tk.Label(text= """What is your name? """)
character_input_prompt.grid(column= 0,row=1)

#--------ENTRIES-----------
numOfchar_input = tk.Entry()
numOfchar_input.grid(column= 1,row= 1)

window.mainloop()
