# Program greets user with random greeting and their name 
import random 
import tkinter as tk 

# Creates the frame for the window 
window = tk.Tk()
window.title("Greetings _____")
window.geometry("400x400")


#---FUNCTIONS-----
def phrase_generator():

	# List of phrases 
	phrases = ["Hello ", "What's up ", "Aloha ", "Hafa Adai "]

	# Retrives the phrases from entry 
	name = str(entry1.get())

	# Returns concatenated phrase and name 
	return phrases[random.randint(0, 4)] + name 

def phrase_display():
	greeting = phrase_generator()

	# This creates the text field 
	greeting_display = tk.Text(master=window, height=10, width=30)
	greeting_display.grid(column=0, row=3)

	# Inserts greeting into text field 
	greeting_display.insert(tk.END, greeting)

#----LABEL------
label1 = tk.Label(text="Welcome to my app")
label1.grid(column=0, row=0,)

label2 = tk.Label(text="What is your name? ")
label2.grid(column=0, row=1)

#-----ENTRIES-------
entry1 = tk.Entry()
entry1.grid(column=1, row=1)

#-----BUTTON------
button1 = tk.Button(text="CLICK ME!", command=phrase_display)
button1.grid(column=0, row=2)

window.mainloop()