# Displays random phrases when button is clicked 
# Think of it as a window 
import tkinter as tk
import random

# First we want to create the window where our content will be 
# This window now belongs to the tkinter class, where it will have the properties of it
window = tk.Tk()
# might want to try window = tk.Tcl() in CS50 IDE 

# Although we already declared the window, we need to call it, just like a function 
# window.mainloop()

# Since window.mainloop() is just like a function call, where we place it matters.  So we will 
# place this at the bottom of the application when we add our stuff. 

# Now as you can see, you might want to modify these windows.  How about we add the title and change the 
# size of the window 
window.title("This is CS50 & Tkinter")
window.geometry("250x250")	# Measured by pixels 

# Now that we have created the window, we next have to add the stuff that we want to go inside our applicaiton 
# So let us refer back to our diagram of what we want

# First, let us add the label to welcome the user to the app

welcome_prompt = tk.Label(text="Hello world! Welcome to my app!", font=('Times New Roman', 30))
# Now if you just put this, the program won't know where to put the label.  So we will need to specify where it will go
welcome_prompt.grid()



window.mainloop()


